summaryrefslogtreecommitdiff
path: root/dev-python/pybind11
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-08-23 17:49:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-08-23 17:49:44 +0000
commit0caf09d16d18de997a4fd29f35cf3433aaff3951 (patch)
tree835428941ace3a4aadeaf7136fdd5a92e2d8995c /dev-python/pybind11
parent2a33d7e700bbed82ee2cec82140d5197619377b4 (diff)
downloadbaldeagleos-repo-0caf09d16d18de997a4fd29f35cf3433aaff3951.tar.gz
baldeagleos-repo-0caf09d16d18de997a4fd29f35cf3433aaff3951.tar.xz
baldeagleos-repo-0caf09d16d18de997a4fd29f35cf3433aaff3951.zip
Adding metadata
Diffstat (limited to 'dev-python/pybind11')
-rw-r--r--dev-python/pybind11/Manifest1
-rw-r--r--dev-python/pybind11/pybind11-2.13.5.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/dev-python/pybind11/Manifest b/dev-python/pybind11/Manifest
index 78422af427a6..93cdae699900 100644
--- a/dev-python/pybind11/Manifest
+++ b/dev-python/pybind11/Manifest
@@ -3,3 +3,4 @@ DIST pybind11-2.12.0.gh.tar.gz 771004 BLAKE2B df95d12cd005c85434ba8a4d80740f437f
DIST pybind11-2.13.1.gh.tar.gz 789821 BLAKE2B b1634878a9a772d1200c79a5e7554a16a9ec76a57cbe4fc6fa86c70f9e383ebeb2b2ced7006392dbb1196144fb02f2415ff511e2b041a6fa3fe63b7c511c98f9 SHA512 97d7a2892af67adad16b6ff0fb3e6324c88d1dd931dfa0d34cf6d181baec05ed791f0980abf2174db22aabaa382fd5b5f00cb287cf6477a4786c999f29719717
DIST pybind11-2.13.3.gh.tar.gz 793263 BLAKE2B ba295fb0dbbeacd5d2b9fa335cf91c4e4b9daee29c7b994f8878b8078d18a18ee48874a3264f5bff280257cf677339324f7875d2f1bb8b855c6097982a71cdcd SHA512 76629d4ad5b91975bbf3fb05580403915f096a4d91b37d947fdbcb3b44783b3f0c9e5a4e289da222902e6b458e29893521523f41d9eb99da7e4890261be00947
DIST pybind11-2.13.4.gh.tar.gz 793802 BLAKE2B efa1bf0d244cd9692e750524b841a884601c121f631fd721d64f192c49ff6ead4eaa4bb13cace42b98673cfd038583fc3716a298b041efd148e992c07b9ee5c3 SHA512 5938c758da5450be645b366190579aa7943294471a0c639c2aeb9d8e9d201ef4fb4dfd0cb1db91390f74dc59f175f6cf47b0c45c20d45ab9f3eeb1a834886de7
+DIST pybind11-2.13.5.gh.tar.gz 794599 BLAKE2B 57bf05040902fc1f85cb4661672426a5c9de701157308e2dd0740f3b7eac878bad0f389b08c2b22b52c94766fa1ae0b0da8aa45353b9cbb95c54afbb0282a786 SHA512 bf9ebfbd8e694fbb421d8bdb5362a207a3782685d48988e77aed98363b2fa302e7384b570b02b117d45d5509b1633b096d4fc1ef16f65e6cc8c888b863c1e2cb
diff --git a/dev-python/pybind11/pybind11-2.13.5.ebuild b/dev-python/pybind11/pybind11-2.13.5.ebuild
new file mode 100644
index 000000000000..459536ffe91a
--- /dev/null
+++ b/dev-python/pybind11/pybind11-2.13.5.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit cmake distutils-r1
+
+DESCRIPTION="AST-based Python refactoring library"
+HOMEPAGE="
+ https://pybind11.readthedocs.io/en/stable/
+ https://github.com/pybind/pybind11/
+ https://pypi.org/project/pybind11/
+"
+SRC_URI="
+ https://github.com/pybind/pybind11/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ dev-cpp/eigen:3
+"
+BDEPEND="
+ test? (
+ <dev-cpp/catch-3:0
+ >=dev-cpp/catch-2.13.9:0
+ dev-libs/boost
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ cmake_src_prepare
+ distutils-r1_python_prepare_all
+}
+
+python_configure() {
+ local mycmakeargs=(
+ # disable forced lto
+ -DHAS_FLTO=OFF
+ # https://github.com/pybind/pybind11/issues/5087
+ -DPYBIND11_FINDPYTHON=OFF
+ -DPYBIND11_INSTALL=ON
+ -DPYBIND11_TEST=$(usex test)
+ )
+ cmake_src_configure
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Compilation only does anything for tests
+ use test && cmake_src_compile
+}
+
+python_test() {
+ cmake_build cpptest test_cmake_build
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ cd "${BUILD_DIR}/tests" || die
+ epytest -p rerunfailures --reruns=5 "${S}/tests"
+}
+
+python_install() {
+ distutils-r1_python_install
+ cmake_src_install
+}